Home

Execute bytecodes

POST
https://meter.nownodes.io/accounts

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

to simulate contract deployment without sending transaction to block chain.

It's useful to estimate gas usage and contract deployment result of a clause.

TIPS:

  • data in request body is the bytecodes of a contract
  • data in response body is the runtime bytecodes assigned to account which the contract to be deployed

Body

application/json

arguments and environment

valuestring

amount of token to be transferred

datastring

input data for contract call

gasinteger<uint64>

max allowed gas for execution

gasPricestring

absolute gas price

callerstring

caller address (msg.sender)

Parameters

revisionstringquery

can be block number or ID. best block is assumed if omitted.

Response

200OK

OK